fbsql_db_query
fbsql_drop_db
FrontBase Functions
PHP Manual

# fbsql_db_status

Get the status for a given database

### Description

int fbsql_db_status ( string `$database_name` [, resource `$link_identifier` ] )

Gets the current status of the specified database.

### Parameters

`database_name`

  The database name.

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect or fbsql_pconnect.

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect was called with no arguments.

### Return Values

Returns an integer value with the current status. This can be one of the following constants:

- `FALSE` - The exec handler for the host was invalid. This error will occur when the `link_identifier` connects directly to a database by using a port number. FBExec can be available on the server but no connection has been made for it.
- `FBSQL_UNKNOWN` - The Status is unknown.
- `FBSQL_STOPPED` - The database is not running. Use fbsql_start_db to start the database.
- `FBSQL_STARTING` - The database is starting.
- `FBSQL_RUNNING` - The database is running and can be used to perform SQL operations.
- `FBSQL_STOPPING` - The database is stopping.
- `FBSQL_NOEXEC` - FBExec is not running on the server and it is not possible to get the status of the database.

### See Also

- fbsql_start_db
- fbsql_stop_db